<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'abc',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['nothing'],

    
    'nothing'       => [
        'model' => [
            'model'                 => \Abc\Test\Models\Nothing::class,
            'table'                 => 'nothings',
            'presenter'             => \Abc\Test\Repositories\Presenter\NothingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'subject',  'mark',  'created_at',  '6)',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'test/nothing',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Abc',
            'package'   => 'Test',
            'module'    => 'Nothing',
        ],

    ],
];
