<?php

namespace Abc\Test\Repositories\Eloquent;

use Abc\Test\Interfaces\NothingRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class NothingRepository extends BaseRepository implements NothingRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('abc.test.nothing.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('abc.test.nothing.model.model');
    }
}
